﻿using System;
using Microsoft.VisualBasic;

namespace SpotnetWatchdog.Utils
{
    /// <summary>
    /// based on code in Spotnet
    /// </summary>
    static class DateHelper
    {
        private static readonly DateTime Epoch = new DateTime(0x7b2, 1, 1, 0, 0, 0, DateTimeKind.Utc);
        private static int Num = 0;

        static DateHelper()
        {
            Num = (int)DateAndTime.DateDiff("s", DateTime.UtcNow, DateTime.Now, FirstDayOfWeek.Sunday, FirstWeekOfYear.Jan1);
        }

        public static DateTime GetDateAndTime(int stamp)
        {
            return Epoch.AddSeconds((double)(stamp + Num));
        }
    }
}
